libstdc++: std::uniform_int_distribution< _IntType >::param_type Struct Reference

libstdc++

std::uniform_int_distribution< _IntType >::param_type Struct Reference

`#include <uniform_int_dist.h>`

## Public Types
typedef uniform_int_distribution< _IntType > | distribution_type

## Public Member Functions
| param_type (_IntType __a, _IntType __b=__gnu_cxx::__int_traits< _IntType >::__max)
result_type | a () const
result_type | b () const

## Friends
bool | operator!= (const param_type &__p1, const param_type &__p2)
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

template<typename _IntType = int>
struct std::uniform_int_distribution< _IntType >::param_type

Parameter type.

Definition at line 97 of file uniform_int_dist.h.

## Member Typedef Documentation

## ◆ distribution_type

template<typename _IntType = int>

typedef uniform_int_distribution<_IntType> std::uniform_int_distribution< _IntType >::param_type::distribution_type

Definition at line 99 of file uniform_int_dist.h.

## Constructor & Destructor Documentation

## ◆ param_type() [1/2]

template<typename _IntType = int>

std::uniform_int_distribution< _IntType >::param_type::param_type | ( |  | ) |
| inline

Definition at line 101 of file uniform_int_dist.h.

## ◆ param_type() [2/2]

template<typename _IntType = int>

std::uniform_int_distribution< _IntType >::param_type::param_type | ( | _IntType | __a,
|  | _IntType | __b = __gnu_cxx::__int_traits<_IntType>::__max )
| inlineexplicit

Definition at line 104 of file uniform_int_dist.h.

## Member Function Documentation

## ◆ a()

template<typename _IntType = int>

result_type std::uniform_int_distribution< _IntType >::param_type::a | ( |  | ) | const
| inline

Definition at line 112 of file uniform_int_dist.h.

## ◆ b()

template<typename _IntType = int>

result_type std::uniform_int_distribution< _IntType >::param_type::b | ( |  | ) | const
| inline

Definition at line 116 of file uniform_int_dist.h.

## Friends And Related Symbol Documentation

## ◆ operator!=

template<typename _IntType = int>

bool operator!= | ( | const param_type & | __p1,
|  | const param_type & | __p2 )
| friend

Definition at line 124 of file uniform_int_dist.h.

## ◆ operator==

template<typename _IntType = int>

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2 )
| friend

Definition at line 120 of file uniform_int_dist.h.

The documentation for this struct was generated from the following file:

- uniform_int_dist.h